function out = load_from_clust_tf(string)

%LOAD_FROM_CLUST loads cogctf cluster format and converts to a matlab array
%
% usage: [...]=load_from_clust_tf(string)
%
% ex.: out = load_from_clust_tf('cl01_02e1.co');
%
% Inputs:
%    string:  is an output file generated by the cluster ending in *.co for
%    coherence and power, and *.gc for Granger Causality
%
% Outputs:
%
%    out:  is a 4-D (ptsXchannelXchannelXfreq) array containing the time-frequency spectra 

%    NOTE: for coherence: the array 
%    is symmetric for channel, so out(5,4,1,10) is the same as (5,1,4,10), meaning the coherence between channels 1 and 4
%    at point 5, at 10 Hz, whereas for Granger Causality spectra, (5,4,1,10), 
%    means from channel 4 --> 1 at point 5, at 10 Hz, and (5,1,4,10) means from channel 1 --> 4 at point 5, at 10 Hz 
%
%    NOTE: power is the diagonal of the coherence spectra, so (5,1,1,10)
%    gives the power for channel 1, at point 5, at 10 Hz

% May 31 2007
% Craig Richter, Center for Complex Systems &
% Brain Sciences, FAU, Boca Raton, FL 33413


% for each channel, creates a plot of all trials overlayed






% loads cogctf cluster format and converts to format used for future
% computation

% run from cluster results folder

tmp=load(string);
tmp=reshape(tmp',size(tmp,2),size(tmp,2),100,(size(tmp,1)/(size(tmp,2)*100)));
out=permute(tmp,[4 1 2 3]);






